Index: calculatorview/perspectives/calculator/source_editor.py
===================================================================
--- calculatorview/perspectives/calculator/source_editor.py	(revision ad6f597281ffdc10ba61293ef7a8566da1421213)
+++ calculatorview/perspectives/calculator/source_editor.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -1,10 +1,11 @@
-
+"""
+"""
 import wx
 import sys
 from copy import deepcopy
 from sans.guiframe.utils import check_float
+
 _BOX_WIDTH = 60
-
-if sys.platform.count("win32")>0:
+if sys.platform.count("win32") > 0:
     _STATICBOX_WIDTH = 450
     PANEL_WIDTH = 500
@@ -37,5 +38,5 @@
         """
         self.main_sizer = wx.BoxSizer(wx.VERTICAL)
-        self.box_source = wx.StaticBox(self, -1,str("source"))
+        self.box_source = wx.StaticBox(self, -1, str("source"))
         self.boxsizer_source = wx.StaticBoxSizer(self.box_source,
                                                     wx.VERTICAL)
@@ -57,5 +58,6 @@
         # Sample name [string]
         sample_name_txt = wx.StaticText(self, -1, 'Sample Name : ')  
-        self.sample_name_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH*5, 20), style=0) 
+        self.sample_name_tcl = wx.TextCtrl(self, -1,
+                                            size=(_BOX_WIDTH*5, 20), style=0) 
         self.name_sizer.AddMany([(sample_name_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                        (self.sample_name_tcl, 0, wx.EXPAND)])
@@ -66,5 +68,6 @@
         #Radiation type [string]
         radiation_txt = wx.StaticText(self, -1, 'Radiation: ')  
-        self.radiation_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)
+        self.radiation_tcl = wx.TextCtrl(self, -1, 
+                                         size=(_BOX_WIDTH, 20), style=0)
         self.radiation_sizer.AddMany([(radiation_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (self.radiation_tcl, 0, wx.LEFT, 20)])
@@ -76,6 +79,8 @@
         #Beam shape [string]
         beam_shape_txt = wx.StaticText(self, -1, 'Beam shape:') 
-        self.beam_shape_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)  
-        self.beam_shape_sizer.AddMany([(beam_shape_txt, 0, wx.LEFT|wx.RIGHT, 10),
+        self.beam_shape_tcl = wx.TextCtrl(self, -1,
+                                           size=(_BOX_WIDTH, 20), style=0)  
+        self.beam_shape_sizer.AddMany([(beam_shape_txt, 0,
+                                         wx.LEFT|wx.RIGHT, 10),
                                      (self.beam_shape_tcl, 0, wx.LEFT, 10)])
         
@@ -86,10 +91,13 @@
         #Wavelength [float] [Angstrom]
         wavelength_txt = wx.StaticText(self, -1, 'wavelength:') 
-        self.wavelength_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)   
+        self.wavelength_tcl = wx.TextCtrl(self, -1,
+                                           size=(_BOX_WIDTH, 20), style=0)   
         wavelength_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.wavelength_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),style=0)  
-        self.wavelength_sizer.AddMany([(wavelength_txt, 0, wx.LEFT|wx.RIGHT, 10),
+        self.wavelength_unit_tcl = wx.TextCtrl(self, -1,
+                                                size=(_BOX_WIDTH, 20),style=0)  
+        self.wavelength_sizer.AddMany([(wavelength_txt,
+                                         0, wx.LEFT|wx.RIGHT, 10),
                                      (self.wavelength_tcl, 0, wx.LEFT, 12),
-                                     (wavelength_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
+                            (wavelength_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (self.wavelength_unit_tcl, 0, wx.EXPAND)]) 
         
@@ -100,11 +108,14 @@
         #Minimum wavelength [float] [Angstrom]
         wavelength_min_txt = wx.StaticText(self, -1, 'Wavelength min:') 
-        self.wavelength_min_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)   
+        self.wavelength_min_tcl = wx.TextCtrl(self, -1,
+                                               size=(_BOX_WIDTH, 20), style=0)   
         wavelength_min_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.wavelength_min_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),style=0)  
-        self.wavelength_min_sizer.AddMany([(wavelength_min_txt, 0, wx.LEFT|wx.RIGHT, 10),
+        self.wavelength_min_unit_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH, 20), style=0)  
+        self.wavelength_min_sizer.AddMany([(wavelength_min_txt, 
+                                            0, wx.LEFT|wx.RIGHT, 10),
                                      (self.wavelength_min_tcl, 0, wx.LEFT, 10),
-                                     (wavelength_min_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
-                                     (self.wavelength_min_unit_tcl, 0, wx.EXPAND)])  
+                            (wavelength_min_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
+                            (self.wavelength_min_unit_tcl, 0, wx.EXPAND)])  
     
     def _layout_wavelength_max(self):
@@ -114,11 +125,14 @@
         #Maximum wavelength [float] [Angstrom]
         wavelength_max_txt = wx.StaticText(self, -1, 'Wavelength max:') 
-        self.wavelength_max_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)   
+        self.wavelength_max_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH, 20), style=0)   
         wavelength_max_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.wavelength_max_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),style=0)  
-        self.wavelength_max_sizer.AddMany([(wavelength_max_txt, 0, wx.LEFT|wx.RIGHT, 10),
+        self.wavelength_max_unit_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH, 20), style=0)  
+        self.wavelength_max_sizer.AddMany([(wavelength_max_txt, 0,
+                                             wx.LEFT|wx.RIGHT, 10),
                                      (self.wavelength_max_tcl, 0, wx.LEFT, 7),
-                                     (wavelength_max_unit_txt, 0,wx.LEFT|wx.RIGHT, 10),
-                                     (self.wavelength_max_unit_tcl, 0, wx.EXPAND)]) 
+                            (wavelength_max_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
+                            (self.wavelength_max_unit_tcl, 0, wx.EXPAND)]) 
     
     def _layout_wavelength_spread(self):
@@ -130,11 +144,14 @@
         wavelength_spread_unit = 'percent'
         wavelength_spread_txt = wx.StaticText(self, -1, 'Wavelength spread:') 
-        self.wavelength_spread_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)   
+        self.wavelength_spread_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH, 20), style=0)   
         wavelength_spread_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.wavelength_spread_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),style=0)  
-        self.wavelength_spread_sizer.AddMany([(wavelength_spread_txt, 0, wx.LEFT, 10),
-                                     (self.wavelength_spread_tcl, 0, wx.LEFT, 5),
-                                     (wavelength_spread_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
-                                     (self.wavelength_spread_unit_tcl, 0, wx.EXPAND)]) 
+        self.wavelength_spread_unit_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH, 20), style=0)  
+        self.wavelength_spread_sizer.AddMany([(wavelength_spread_txt,
+                                                0, wx.LEFT, 10),
+                                (self.wavelength_spread_tcl, 0, wx.LEFT, 5),
+                        (wavelength_spread_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
+                        (self.wavelength_spread_unit_tcl, 0, wx.EXPAND)]) 
     def _layout_beam_size_name(self):
         """
@@ -143,6 +160,8 @@
         # Beam size name [string]
         beam_size_name_txt = wx.StaticText(self, -1, 'Beam size name : ')  
-        self.beam_size_name_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH*5, 20), style=0) 
-        self.beam_size_name_sizer.AddMany([(beam_size_name_txt, 0, wx.LEFT|wx.RIGHT, 10),
+        self.beam_size_name_tcl = wx.TextCtrl(self, -1,
+                                               size=(_BOX_WIDTH*5, 20), style=0) 
+        self.beam_size_name_sizer.AddMany([(beam_size_name_txt,
+                                             0, wx.LEFT|wx.RIGHT, 10),
                                        (self.beam_size_name_tcl, 0, wx.EXPAND)])
         
@@ -157,11 +176,15 @@
         beam_size_txt = wx.StaticText(self, -1, 'Beam size:') 
         x_beam_size_txt = wx.StaticText(self, -1, 'x = ')  
-        self.x_beam_size_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0) 
+        self.x_beam_size_tcl = wx.TextCtrl(self, -1,
+                                            size=(_BOX_WIDTH, 20), style=0) 
         y_beam_size_txt = wx.StaticText(self, -1, 'y = ')  
-        self.y_beam_size_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0) 
+        self.y_beam_size_tcl = wx.TextCtrl(self, -1,
+                                            size=(_BOX_WIDTH, 20), style=0) 
         z_beam_size_txt = wx.StaticText(self, -1, 'z = ')  
-        self.z_beam_size_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)  
+        self.z_beam_size_tcl = wx.TextCtrl(self, -1, 
+                                           size=(_BOX_WIDTH, 20), style=0)  
         beam_size_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.beam_size_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)  
+        self.beam_size_unit_tcl = wx.TextCtrl(self, -1, 
+                                              size=(_BOX_WIDTH, 20), style=0)  
         self.beam_size_sizer.AddMany([(beam_size_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (x_beam_size_txt, 0, wx.LEFT, 17),
@@ -172,5 +195,5 @@
                                      (self.z_beam_size_tcl, 0, wx.RIGHT, 10),
                                      (beam_size_unit_txt, 0, wx.EXPAND),
-                                     (self.beam_size_unit_tcl, 0, wx.RIGHT, 10)])
+                                    (self.beam_size_unit_tcl, 0, wx.RIGHT, 10)])
         
     def _layout_button(self):  
@@ -363,10 +386,11 @@
         self._source.wavelength_min = wavelength_min
         self._notes += " Change wavelength  min from"
-        self._notes += " %s to %s \n"%(self._source.wavelength_min, wavelength_min)
+        self._notes += " %s to %s \n" % (self._source.wavelength_min,
+                                          wavelength_min)
         #change the wavelength min unit
         unit = self.wavelength_min_unit_tcl.GetValue().lstrip().rstrip()
         if self._source.wavelength_min_unit != unit:
             self._notes += " Change wavelength min's unit from "
-            self._notes += "%s to %s"%(self._source.wavelength_min_unit, unit)
+            self._notes += "%s to %s" % (self._source.wavelength_min_unit, unit)
             
     def on_change_wavelength_max(self):
@@ -378,5 +402,6 @@
         self._source.wavelength_max = wavelength_max
         self._notes += " Change wavelength  max from"
-        self._notes += " %s to %s \n"%(self._source.wavelength_max, wavelength_max)
+        self._notes += " %s to %s \n" % (self._source.wavelength_max,
+                                        wavelength_max)
         #change the wavelength max unit
         unit = self.wavelength_max_unit_tcl.GetValue().lstrip().rstrip()
@@ -392,5 +417,6 @@
         wavelength_spread = self.wavelength_spread_tcl.GetValue().lstrip().rstrip()
         self._notes += " Change wavelength  spread from"
-        self._notes += " %s to %s \n"%(self._source.wavelength_spread, wavelength_spread)
+        self._notes += " %s to %s \n" % (self._source.wavelength_spread, 
+                                         wavelength_spread)
         self._source.wavelength_spread = wavelength_spread
         #change the wavelength spread unit
@@ -398,5 +424,6 @@
         if self._source.wavelength_spread_unit != unit:
             self._notes += " Change wavelength spread's unit from "
-            self._notes += "%s to %s"%(self._source.wavelength_spread_unit, unit)
+            self._notes += "%s to %s" % (self._source.wavelength_spread_unit, 
+                                         unit)
             self._source.wavelength_spread_unit = unit
     
@@ -411,5 +438,6 @@
         if self._source.beam_size_name != name:
             self._notes += "Change beam size  's "
-            self._notes += "name from %s to %s \n"%(self._source.beam_size_name, name)
+            self._notes += "name from %s to %s \n" % (self._source.beam_size_name,
+                                                       name)
             self._source.name = name
             
@@ -426,10 +454,12 @@
                 if self._source.beam_size.x != float(x_beam_size) :
                     self._notes += "Change x of beam size from "
-                    self._notes += "%s to %s \n"%(self._source.beam_size.x, x_beam_size)
+                    self._notes += "%s to %s \n" % (self._source.beam_size.x,
+                                                     x_beam_size)
                     self._source.beam_size.x  = float(x_beam_size)
             else:
                 self._notes += "Error: Expected a float for the beam size 's x "
                 self._notes += "won't changes x beam size from "
-                self._notes += "%s to %s"%(self._source.beam_size.x, x_beam_size)
+                self._notes += "%s to %s" % (self._source.beam_size.x,
+                                            x_beam_size)
         #Change y coordinate
         y_beam_size = self.y_beam_size_tcl.GetValue().lstrip().rstrip()
@@ -441,10 +471,12 @@
                 if self._source.beam_size.y != float(y_beam_size):
                     self._notes += "Change y of beam size from "
-                    self._notes += "%s to %s \n"%(self._source.beam_size.y, y_beam_size)
+                    self._notes += "%s to %s \n" % (self._source.beam_size.y,
+                                                     y_beam_size)
                     self._source.beam_size.y  = float(y_beam_size)
             else:
                 self._notes += "Error: Expected a float for the beam size's y "
                 self._notes += "won't changes y beam size from "
-                self._notes += "%s to %s"%(self._source.beam_size.y, y_beam_size)
+                self._notes += "%s to %s" % (self._source.beam_size.y,
+                                              y_beam_size)
         #Change z coordinate
         z_beam_size = self.z_beam_size_tcl.GetValue().lstrip().rstrip()
@@ -456,10 +488,12 @@
                 if self._source.beam_size.z != float(z_beam_size):
                     self._notes += "Change z of beam size from "
-                    self._notes += "%s to %s \n"%(self._source.beam_size.z, z_beam_size)
+                    self._notes += "%s to %s \n" % (self._source.beam_size.z,
+                                                     z_beam_size)
                     self._source.beam_size.z  = float(z_beam_size)
             else:
                 self._notes += "Error: Expected a float for the beam size 's z "
                 self._notes += "won't changes z beam size from "
-                self._notes += "%s to %s"%(self._source.beam_size.z, z_beam_size)
+                self._notes += "%s to %s" % (self._source.beam_size.z,
+                                              z_beam_size)
         #change the beam center unit
         unit = self.beam_size_unit_tcl.GetValue().lstrip().rstrip()
@@ -471,5 +505,5 @@
     def on_click_apply(self, event):
         """
-            Apply user values to the source
+        Apply user values to the source
         """
         self.on_change_name()
@@ -484,13 +518,17 @@
         if self.manager is not None:
             self.manager.set_source(self._source, self._notes)
+        if event is not None:
+            event.Skip()
         
     def on_click_cancel(self, event):
         """
-            reset the current source
+        reset the current source
         """
         self.reset_source()
         self.set_values()
         if self.manager is not None:
-             self.manager.set_source(self._source)    
+            self.manager.set_source(self._source)
+        if event is not None:
+            event.Skip()
     
 if __name__ =="__main__":
